:root {
    --bck-color: #800080;
    --bck-color-hover: #9f079f;
}

html {
    scroll-behavior: smooth;
}

/*--general--*/
body{
    font-family: sans-serif;
    font-size: 16px;
    margin:0;
    background-color: rgb(255, 217, 255);
}

h2{
    color: rgb(30, 211, 211);
    font-size: 22px;
    text-transform: uppercase;
}

h3{
    color: var(--bck-color);
}

/*-- header--*/
header{
    background-color: black;
    background-image: url("../../assets/img/header.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    text-align: center;
}

header img {
    height: 250px;
    width: auto;
}

/*--nav--*/
header ul{
    display:flex;
    justify-content: center;
    align-items: center;
    background-color: var(--bck-color);
    font-weight: bold;
    padding: 15px 20px;
    margin: 0;
    list-style: none;
}

header ul li:hover a,
.mainArticle article .footer-main > a:hover {
    color:rgb(255, 96, 149);
}

header ul li a{
    text-decoration: none;
    color: white;
    margin: 10px;
}

.mainImg{
    width: 450px;
    height: 400px;
}

.mainArticle {
    display: flex;
    justify-content: center;
}

.mainArticle article {
    display: flex;
    flex-direction: column;
    justify-content: start;
    margin: 10px;
    border: 1px solid var(--bck-color);
    width: 30%;
    background-color: #fff;
}

.mainArticle article .mainImg{
    height: 250px;
    width: 100%;
    overflow: hidden;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    border-bottom: 1px solid var(--bck-color);
}

.mainArticle article .mainP {
    padding: 0 10px;
    color: black;
    height: 200px;
}

.mainArticle article .mainP p{
    text-align: justify;
}

.mainArticle article .mainP > h3,
.section-notic .notice-flex > article > h3 {
    color: rgb(30, 211, 211);
}

.mainArticle article .footer-main{
    text-align: right;
    height: 50px;
    padding: 0 15px;
    position: relative;
}

.mainArticle article .footer-main > a {
    background-color: var(--bck-color);
    color: #fff;
    padding: 10px 15px;
    text-decoration: none;
    position: absolute;
    right: 15px;
}

.second-section {
    display: flex;
}

.second-section section {
    text-align: center;
}

.second-section .notice-flex {
    display: grid;
    grid-template-columns: .5fr .5fr;
    grid-gap: 5px;
}

.second-section .notice-flex article {
    padding: 10px 20px;
}

.second-section .notice-flex article p {
    text-align: justify;
    min-height: 80px;
}

.second-section section {
    flex-grow: 2;
    padding: 0 20px;
}

/*Aside trucos */
.second-section aside{
    flex-grow: 1;
    background-color: rgba(128, 0, 128, .5);
    text-align: center;
    min-width: 300px;
    padding: 0 10px;
}

.second-section aside p {
    text-align: left;
}

.second-section aside nav ul {
    list-style: none;
    text-align: left;
    line-height: 1.8rem;
    padding-left: 0;
}

.second-section aside nav ul li a {
    text-decoration: none;
    color: #fff;
}

.second-section aside nav ul li:hover a,
.notice-image span a:hover {
    color: rgb(30, 211, 211);
}

/*Article noticias */

h2.title{
    padding-left: 25px;
}

.notice-image {
    position: relative;
}

.notice-image img{
    width: 500px;
    height: 350px; 
}

.notice-image span{
    background-color: var(--bck-color);
    padding: 10px 15px;
    position: absolute;
    bottom: 0;
    width: 100%;
    left: 0;
    text-align: right;
}

.notice-image span a {
    color: #fff;
    text-decoration: none;
}

.staff{
    text-align: center;
    font-size: .8rem;
    color: #fff;
    background-color: var(--bck-color);
}

.staff > article {
    display: inline-block;
}

.staff > article ul {
    display: flex;
    justify-content: space-between;
    list-style: none;
    padding: 0;
    max-height: 200px;
}

.staff > article ul > li figure figcaption{
    padding-top: 5px;
    font-weight: 600;
}

.staff > article ul > li figure img{
    height: 60%;
}

footer{
    background-color: rgba(128, 0, 128, .5);
    position: relative;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

footer ul {
    list-style: none;
    display: flex;
}

footer ul > li {
    padding: 0 10px;
}

footer address {
    text-align: center;
}